CD-HIT-454(1)

NAME
cd-hit-454 - quickly group sequences, optimised for 454 data

SYNOPSIS
cd-hit-454 [Options]

DESCRIPTION

    ====== CD-HIT version 4.8.1 (built on Nov 25 2025) ======

Options

-i  input filename in fasta format, required, can be in .gz format

-o  output filename, required

-c  sequence identity threshold, default 0.98 this is a "global sequence identity" calculated as : number of identical amino acids or bases in alignment divided by the full length of the shorter sequence + gaps

-b  band_width of alignment, default 10

-M  memory limit (in MB) for the program, default 800; 0 for unlimitted;

-T  number of threads, default 1; with 0, all CPUs will be used

-n  word_length, default 10, see user's guide for choosing it

-aL alignment coverage for the longer sequence, default 0.0 if set to 0.9, the alignment must covers 90% of the sequence

-AL alignment coverage control for the longer sequence, default 99999999 if set to 60, and the length of the sequence is 400, then the alignment must be >= 340 (400-60) residues

-aS alignment coverage for the shorter sequence, default 0.0 if set to 0.9, the alignment must covers 90% of the sequence

-AS alignment coverage control for the shorter sequence, default 99999999 if set to 60, and the length of the sequence is 400, then the alignment must be >= 340 (400-60) residues

-B  1 or 0, default 0, by default, sequences are stored in RAM if set to 1, sequence are stored on hard drive !! No longer supported !!

-g  1 or 0, default 0 by cd-hit's default algorithm, a sequence is clustered to the first cluster that meet the threshold (fast cluster). If set to 1, the program will cluster it into the most similar cluster that meet the threshold (accurate but slow mode) but either 1 or 0 won't change the representatives of final clusters

-D  max size per indel, default 1

-match
    matching score, default 2

-mismatch
    mismatching score, default -1

-gap gap opening score, default -3

-gap-ext
    gap extension score, default -1

-bak write backup cluster file (1 or 0, default 0)

-h  print this help

    Questions, bugs, contact Weizhong Li at liwz@sdsc.edu

    If you find cd-hit useful, please kindly cite:

    "CD-HIT: a fast program for clustering and comparing large sets of protein or nucleotide sequences", Weizhong Li & Adam Godzik. Bioinformatics, (2006) 22:1658-1659 "CD-HIT: accelerated for clustering the next generation sequencing data", Limin Fu, Beifang Niu, Zhengwei Zhu, Sitao Wu & Weizhong Li. Bioinformatics, (2012) 28:3150-3152 "Beifang Niu, Limin Fu, Shulei Sun and Weizhong Li. Artificial and natural duplicates in pyrosequencing reads of metagenomic data. BMC Bioinformatics (2010) 11:187